#include "CS_Teleporter.h"

CS_Teleporter::CS_Teleporter()
{
	ani.png = L"CS_CaveStoryMod";
	drawBeforeOtherEntity = true;
}

void CS_Teleporter::SetState(int stateID, int lr)
{
	this->lr = lr;
	ani.sprite_index = lr == 0 ? L"ls_teleporter_off" : L"ls_teleporter_on";
}

std::shared_ptr<Entity> CreateCS_Teleporter()
{
	return std::make_shared<CS_Teleporter>();
}
